## org.eclipse.emf.edit.provider
Interface IChildCreationExtender

    public interface IChildCreationExtender

An interface used by objects that can extend the results of `IEditingDomainItemProvider.getNewChildDescriptors`.

Nested Class Summary
`static interface` `IChildCreationExtender.Descriptor` A descriptor can create a child creation extender.

Method Summary
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, EditingDomain editingDomain)` Returns a collection of objects describing the children that can be added under the given object in the editing domain.
`ResourceLocator` `getResourceLocator()` Returns a resource locator than can locate resources related to the child descriptors.

Method Detail

### getNewChildDescriptors

    java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                   EditingDomain editingDomain)

  Returns a collection of objects describing the children that can be added under the given object in the editing domain.

### getResourceLocator

    ResourceLocator getResourceLocator()

  Returns a resource locator than can locate resources related to the child descriptors.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.